<!--
 * @Author: lixg lixg@dongwu-inc.com
 * @Date: 2023-03-01 20:41:06
 * @LastEditors: lixg lixg@dongwu-inc.com
 * @LastEditTime: 2023-03-17 10:15:42
 * @FilePath: /stu_h5/src/views/nottask/LoseEfficacyProject.vue----只给项目用
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
-->
<template>
  <el-result icon="success" :title="title">
    <template #extra>
      <el-button type="primary" @click="toIndex">返回首页</el-button>
    </template>
  </el-result>
</template>
<script setup>
import { toRefs,ref, onMounted } from "vue";
import { useRoute } from "vue-router";

function toIndex() {
  window.location.href =
    window.location.protocol + import.meta.env.VITE_BOE_HOME;
}
const title = ref("二维码已失效"); //搜索内容

onMounted(() => {
  // 接收跳转请求的query参数
  let route = useRoute();
  console.log("gx route.query.msg data",route.query.msg);
  console.log("gx route data",route);
  if (route.query.msg) {
    title.value = route.query.msg;
  }
});
</script>
